Skip to main content
GET
/
v2
/
evses
/
{uid}
Fetches a single EVSE.
curl --request GET \
  --url https://api.spirii.com/v2/evses/{uid} \
  --header 'Authorization: <api-key>'
{
  "uid": 123456,
  "evseId": "DK.12343*1",
  "chargeboxId": 123,
  "status": "CHARGING",
  "connectors": [
    {
      "id": 1,
      "standard": "CHADEMO",
      "format": "SOCKET",
      "powerType": "DC",
      "maxElectricPower": 22,
      "maxAmperage": 32,
      "maxVoltage": 400,
      "tariffIds": [
        "58652fe8-d840-4aa4-bb4f-3ebd944df9d6"
      ],
      "error": {
        "errorCode": "UnderVoltage",
        "info": "NO_VOLTAGE_L2_L3",
        "vendorErrorCode": "134217728"
      },
      "deletedAt": "2025-01-27 09:38:41"
    }
  ]
}

Authorizations

Authorization
string
header
required

Authorization: Bearer <SPIRII_API_KEY>

Path Parameters

uid
number
required

Uniquely identifies the EVSE

Example:

123456

Response

uid
number
required

Uniquely identifies the EVSE

Example:

123456

evseId
string
required

Compliant with the following specification for EVSE ID: "E-mobility ID-codes: the purpose of IDs, ID usage and ID format"

Example:

"DK.12343*1"

chargeboxId
number
required

Uniquely identifies the charge box on which the EVSE is found

Example:

123

status
enum<string>
required

Indicates the current status of the EVSE.

The mapping of the OCPP status to the OCPI status, which is used in this endpoint, is visible in the table below:

[OCPP status] - [OCPI status]

Available - AVAILABLE

Reserved - RESERVED

Preparing,Charging,Finishing - CHARGING

SuspendedEV,SuspendedEVSE - BLOCKED

Faulted - OUTOFORDER

Unavailable - INOPERATIVE

N/A - PLANNED

N/A - REMOVED

N/A - UNKNOWN

Available options:
AVAILABLE,
BLOCKED,
CHARGING,
INOPERATIVE,
OUTOFORDER,
PLANNED,
REMOVED,
RESERVED,
UNKNOWN
Example:

"CHARGING"

connectors
object[]
required

List of available connectors